From 7dfca79f57c7473df8e1047f99fcc9dbaf708e5a Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Jan 18 2018 16:36:31 +0000
Subject: [PATCH 32/48] make _variant_*() methods real class/static methods


---

diff --git a/modulemd/__init__.py b/modulemd/__init__.py
index b723baf..48d1ee9 100644
--- a/modulemd/__init__.py
+++ b/modulemd/__init__.py
@@ -599,13 +599,15 @@ class ModuleMetadata(object):
             d[key] = value.unpack()
         return d
 
+    @staticmethod
     def _variant_str(s):
         if not isinstance(s, str):
             raise TypeError ("Only strings are supported for scalars")
 
         return GLib.Variant('s', s)
 
-    def _variant_list(l):
+    @classmethod
+    def _variant_list(cls, l):
         l_variant = list()
         for item in l:
             if type(item) == str:
@@ -618,28 +620,30 @@ class ModuleMetadata(object):
                 raise TypeError("Cannot convert unknown type")
         return GLib.Variant('av', l_variant)
 
-    def _variant_dict_values(d):
+    @classmethod
+    def _variant_dict_values(cls, d):
         if not isinstance(d, dict):
             raise TypeError("Only dictionaries are supported for mappings")
 
         d_variant = dict()
         for k, v in d.items():
             if type(v) == str:
-                d_variant[k] = ModuleMetadata._variant_str(v)
+                d_variant[k] = cls._variant_str(v)
                 pass
             elif type(v) == list:
-                d_variant[k] = ModuleMetadata._variant_list(v)
+                d_variant[k] = cls._variant_list(v)
             elif type(v) == dict:
-                d_variant[k] = ModuleMetadata._variant_dict(v)
+                d_variant[k] = cls._variant_dict(v)
             else:
                 raise TypeError("Cannot convert unknown type")
         return d_variant
 
-    def _variant_dict(d):
+    @classmethod
+    def _variant_dict(cls, d):
         if not isinstance(d, dict):
             raise TypeError("Only dictionaries are supported for mappings")
 
-        d_variant = ModuleMetadata._variant_dict_values(d)
+        d_variant = cls._variant_dict_values(d)
 
         return GLib.Variant('a{sv}', d_variant)
 
@@ -648,7 +652,7 @@ class ModuleMetadata(object):
         if not isinstance(d, dict):
             raise TypeError("xmd: data type not supported")
 
-        xmd = ModuleMetadata._variant_dict_values(d)
+        xmd = self._variant_dict_values(d)
 
         self.module.set_xmd(xmd)
 

